# InsertOrUpdateQuery Class Reference
[Dynamic query builder]

Single roof for InsertQuery and UpdateQuery. More...

Inheritance diagram for InsertOrUpdateQuery:
[legend]

List of all members.

## Public Member Functions

| setTable ($table)
| getTable ()
| getFieldsCount ()
| set ($field, $value=null)
| drop ($field)
| lazySet ($field, $object=null)
| setBoolean ($field, $value=false)
| arraySet ($fields)
| Adds values from associative array.
| toDialectString (Dialect $dialect)

## Protected Attributes

| $table = null
| $fields = array()

## Detailed Description

Single roof for InsertQuery and UpdateQuery.

Definition at line 17 of file InsertOrUpdateQuery.class.php.

## Member Function Documentation

InsertOrUpdateQuery::arraySet | ( | $ | fields | ) |

Adds values from associative array.

Returns:
  InsertOrUpdateQuery

Definition at line 105 of file InsertOrUpdateQuery.class.php.

References $fields, and Assert::isArray().

Here is the call graph for this function:

InsertOrUpdateQuery::drop | ( | $ | field | ) |

Exceptions:

  | MissingElementException |

Returns:
  InsertOrUpdateQuery

Definition at line 50 of file InsertOrUpdateQuery.class.php.

InsertOrUpdateQuery::getFieldsCount | ( |  | ) |

Definition at line 31 of file InsertOrUpdateQuery.class.php.

InsertOrUpdateQuery::getTable | ( |  | ) |

Implements SQLTableName.

Definition at line 26 of file InsertOrUpdateQuery.class.php.

InsertOrUpdateQuery::lazySet | ( | $ | field,
|  | $ | object = `null` |
| ) |  |  |

Returns:
  InsertOrUpdateQuery

Definition at line 63 of file InsertOrUpdateQuery.class.php.

Referenced by LightMetaProperty::fillQuery().

InsertOrUpdateQuery::set | ( | $ | field,
|  | $ | value = `null` |
| ) |  |  |

Returns:
  InsertOrUpdateQuery

Definition at line 39 of file InsertOrUpdateQuery.class.php.

Referenced by LightMetaProperty::fillQuery().

InsertOrUpdateQuery::setBoolean | ( | $ | field,
|  | $ | value = `false` |
| ) |  |  |

Returns:
  InsertOrUpdateQuery

Definition at line 90 of file InsertOrUpdateQuery.class.php.

References Assert::isTernaryBase().

Here is the call graph for this function:

InsertOrUpdateQuery::setTable | ( | $ | table | ) | `[abstract]`

Reimplemented in InsertQuery.

Referenced by GenericDAO::inject().

InsertOrUpdateQuery::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Reimplemented in InsertQuery.

Definition at line 114 of file InsertOrUpdateQuery.class.php.

References QuerySkeleton::checkReturning(), and QuerySkeleton::returning().

Here is the call graph for this function:

## Member Data Documentation

InsertOrUpdateQuery::$fields = array()`[protected]`

Definition at line 22 of file InsertOrUpdateQuery.class.php.

Referenced by arraySet(), InsertQuery::toDialectStringSelect(), and InsertQuery::toDialectStringValues().

InsertOrUpdateQuery::$table = null`[protected]`

Definition at line 21 of file InsertOrUpdateQuery.class.php.

Referenced by UpdateQuery::__construct(), UpdateQuery::from(), UpdateQuery::hasJoinedTable(), InsertQuery::into(), UpdateQuery::join(), UpdateQuery::leftJoin(), UpdateQuery::rightJoin(), UpdateQuery::setTable(), and InsertQuery::setTable().

The documentation for this class was generated from the following file:

- core/OSQL/InsertOrUpdateQuery.class.php